Polyrankdocs
Auth

GET /v1/auth/magic/callback

Consume a magic-link token. Issues a session cookie + redirects to the destination (default /home); `welcome=1` is added to it only when this call created the account. A failed link (expired / already_used / invalid_token) is a 401, or, when MAGIC_LINK_ERROR_REDIRECT=1, a 302 to the web page /auth/link?error=<reason> (no token in it).

GET
/v1/auth/magic/callback

Consume a magic-link token. Issues a session cookie + redirects to the destination (default /home); welcome=1 is added to it only when this call created the account. A failed link (expired / already_used / invalid_token) is a 401, or, when MAGIC_LINK_ERROR_REDIRECT=1, a 302 to the web page /auth/link?error= (no token in it).

Query Parameters

token*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/auth/magic/callback?token=string"
Empty
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}